var system=require("../../system")
const http=require("http")
const querystring = require('querystring');
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
const logCtl=system.getObject("web.oplogCtl");
class PmQuestionCtl extends CtlBase{
   constructor(){
     super(CtlBase.getServiceName(PmQuestionCtl));
   }
   async fetchQuestionForDev(pobj,obj,req){
     var result= await this.service.fetchQuestionForDev(req.companyid);
     return system.getResult2(result);
   }
   async create(queryobj,qobj,req){
    if(req && req.session && req.session.user){
      var userinfo=req.session.user;
      qobj.subber_id=userinfo.id;
    }
    var objrtn= await super.create(queryobj,qobj,req);
    return objrtn;
 }
}
module.exports=PmQuestionCtl ;
